package com.ar.arsketch.adapter;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.ar.arsketch.fragment.FavoriteFragment;
import com.ar.arsketch.fragment.HomeFragment;
import com.ar.arsketch.fragment.ImportFragment;

import java.util.ArrayList;
import java.util.List;

public class MainViewPager2Adapter extends FragmentStateAdapter {

    private final List<Fragment> fragmentList;

    public MainViewPager2Adapter(@NonNull FragmentActivity fragmentActivity) {
        super(fragmentActivity);
        fragmentList = new ArrayList<>();
        fragmentList.add(new HomeFragment());
        fragmentList.add(new ImportFragment());
        fragmentList.add(new FavoriteFragment());
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        return fragmentList.get(position);
    }

    @Override
    public int getItemCount() {
        return fragmentList.size();
    }
}
